## gr-dab 0.4

=== CMakeLists.txt ===
# Copyright 2011,2012,2014,2016,2018 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-dab CXX C)
enable_testing()

# Install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_MAJOR 3)
set(VERSION_API    8)
set(VERSION_ABI 0)
#set(VERSION_PATCH git)

cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find FAAD
########################################################################
find_package(Faad REQUIRED)
if (NOT FAAD_FOUND )
    message(FATAL_ERROR "please install libfaad")
else()
    message(STATUS "FAAD found")
endif ()


IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_STANDARD 11)
ELSE()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_STANDARD 11)
ELSE()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

########################################################################
# Install directories
########################################################################
find_package(Gnuradio "3.8" REQUIRED COMPONENTS blocks filter fft)
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/dab)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/dab)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Doxygen)
find_package(CppUnit)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    )


########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/grdab)
add_subdirectory(lib)
add_subdirectory(apps)
add_subdirectory(docs)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)

########################################################################
# Install cmake search helper for this library
########################################################################

install(FILES cmake/Modules/dabConfig.cmake
    DESTINATION ${CMAKE_MODULES_DIR}/grdab
)

=== apps/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    grdab
    DESTINATION bin
)

=== docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    dab_ofdm_sync_dab.block.yml
    dab_ofdm_sync_dab2.block.yml
    dab_detect_null.block.yml
    dab_moving_sum_ff.block.yml
    dab_ofdm_ffe_all_in_one.block.yml
    dab_ofdm_sampler.block.yml
    dab_ofdm_coarse_frequency_correct.block.yml
    dab_diff_phasor_vcc.block.yml
    dab_ofdm_remove_first_symbol_vcc.block.yml
    dab_frequency_interleaver_vcc.block.yml
    dab_qpsk_demapper_vcb.block.yml
    dab_complex_to_interleaved_float_vcf.block.yml
    dab_modulo_ff.block.yml
    dab_measure_processing_rate.block.yml
    dab_fic_decode.block.yml
    dab_ofdm_demod.block.yml
    dab_ofdm_mod.block.yml
    dab_select_vectors.block.yml
    dab_repartition_vectors.block.yml
    dab_unpuncture_vff.block.yml
    dab_prune_vectors.block.yml
    dab_fib_sink_vb.block.yml
    dab_estimate_sample_rate_bf.block.yml
    dab_fractional_interpolator_triggered_update_cc.block.yml
    dab_magnitude_equalizer_vcc.block.yml
    dab_qpsk_mapper_vbc.block.yml
    dab_ofdm_insert_pilot_vcc.block.yml
    dab_sum_phasor_trig_vcc.block.yml
    dab_ofdm_move_and_insert_zero.block.yml
    dab_insert_null_symbol.block.yml
    dab_time_deinterleave_ff.block.yml
    dab_crc16_bb.block.yml
    dab_msc_decode.block.yml
    dab_select_subch_vfvf.block.yml
    dab_unpuncture_ff.block.yml
    dab_prune.block.yml
    dab_firecode_check_bb.block.yml
    dab_puncture_bb.block.yml
    dab_mp2_decode_bs.block.yml
    dab_mp4_decode_bs.block.yml
    dab_reed_solomon_decode_bb.block.yml
    dab_dabplus_audio_decoder_ff.block.yml
    dab_valve_ff.block.yml
    dab_peak_detector_fb.block.yml
    dab_xrun_monitor.block.yml
    dab_osmo_or_zmq_source.block.yml
    dab_control_stream_to_tag_cc.block.yml DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012,2016,2018,2019 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX


include_directories(${Boost_INCLUDE_DIR} ${FDK-AAC-DAB_INCLUDE_DIRS} ${LIBTOOLAME-DAB_INCLUDE_DIR})

list(APPEND dab_sources
    moving_sum_ff_impl.cc
    ofdm_ffe_all_in_one_impl.cc
    ofdm_sampler_impl.cc
    ofdm_coarse_frequency_correct_impl.cc
    diff_phasor_vcc_impl.cc
    ofdm_remove_first_symbol_vcc_impl.cc
    frequency_interleaver_vcc_impl.cc
    qpsk_demapper_vcb_impl.cc
    complex_to_interleaved_float_vcf_impl.cc
    modulo_ff_impl.cc
    measure_processing_rate_impl.cc
    select_vectors_impl.cc
    repartition_vectors_impl.cc
    unpuncture_vff_impl.cc
    prune_vectors_impl.cc
    fib_sink_vb_impl.cc
    crc16.cc
    estimate_sample_rate_bf_impl.cc
    fractional_interpolator_triggered_update_cc_impl.cc
    magnitude_equalizer_vcc_impl.cc
    qpsk_mapper_vbc_impl.cc
    ofdm_insert_pilot_vcc_impl.cc
    sum_phasor_trig_vcc_impl.cc
    ofdm_move_and_insert_zero_impl.cc
    insert_null_symbol_impl.cc
    time_deinterleave_ff_impl.cc
    crc16_bb_impl.cc
    select_subch_vfvf_impl.cc
    unpuncture_ff_impl.cc
    prune_impl.cc
    firecode-checker.cpp
    firecode_check_bb_impl.cc
    puncture_bb_impl.cc
    mp2_decode_bs_impl.cc
    mp4_decode_bs_impl.cc
    reed_solomon_decode_bb_impl.cc
    fec/decode_rs_char.c
    fec/init_rs_char.c
    valve_ff_impl.cc
    peak_detector_fb_impl.cc
    control_stream_to_tag_cc_impl.cc
    xrun_monitor_cc_impl.cc )

set(dab_sources "${dab_sources}" PARENT_SCOPE)
if(NOT dab_sources)
    MESSAGE(STATUS "No C++ sources... skipping lib/")
    return()
endif(NOT dab_sources)

add_library(gnuradio-dab SHARED ${dab_sources})
target_link_libraries(gnuradio-dab gnuradio::gnuradio-runtime gnuradio::gnuradio-filter ${FAAD_LIBRARIES})
target_include_directories(gnuradio-dab
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
    PUBLIC $<INSTALL_INTERFACE:include>
  )
set_target_properties(gnuradio-dab PROPERTIES DEFINE_SYMBOL "gnuradio_dab_EXPORTS")
set_target_properties(gnuradio-dab PROPERTIES SOVERSION 3.8.0)

if(APPLE)
    set_target_properties(gnuradio-dab PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
GR_LIBRARY_FOO(gnuradio-dab)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

# If your unit tests require special include paths, add them here
#include_directories()
# List all files that contain Boost.UTF unit tests here
list(APPEND test_dab_sources
)
# Anything we need to link to for the unit tests go here
list(APPEND GR_TEST_TARGET_DEPS gnuradio-dab)

if(NOT test_dab_sources)
    MESSAGE(STATUS "No C++ unit tests... skipping")
    return()
endif(NOT test_dab_sources)

foreach(qa_file ${test_dab_sources})
    GR_ADD_CPP_TEST("dab_${qa_file}"
        ${CMAKE_CURRENT_SOURCE_DIR}/${qa_file}
    )
endforeach(qa_file)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
  endif()


########################################################################
# Insert ICON PATH macro Insert ICON PATH macro into constants.py
########################################################################
set(GR_PKG_DAB_DATA_DIR ${GR_PKG_DATA_DIR})
set(GR_DAB_ICON_PATH ${CMAKE_INSTALL_PREFIX}/${GR_PKG_DATA_DIR})
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/constants.py.in
    ${CMAKE_CURRENT_BINARY_DIR}/constants.py
    ESCAPE_QUOTES
    @ONLY)

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    ofdm_sync_dab.py
    ofdm_sync_dab2.py
    detect_null.py
    ofdm.py
    parameters.py
    fic.py
    msc_decode.py
    osmo_or_zmq_source.py
    ${CMAKE_CURRENT_BINARY_DIR}/constants.py
    dab_audio_decoder_ff.py
    dabplus_audio_decoder_ff.py DESTINATION ${GR_PYTHON_DIR}/grdab
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-dab)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_time_deinterleave_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_time_deinterleave_ff.py)
GR_ADD_TEST(qa_fib_sink_vb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_fib_sink_vb.py)
GR_ADD_TEST(qa_crc16_bb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_crc16_bb.py)
GR_ADD_TEST(qa_select_subch_vfvf ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_select_subch_vfvf.py)
GR_ADD_TEST(qa_unpuncture_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_unpuncture_ff.py)
GR_ADD_TEST(qa_prune ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_prune.py)
GR_ADD_TEST(qa_puncture_bb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_puncture_bb.py)
GR_ADD_TEST(qa_mp2_decode_bs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_mp2_decode_bs.py)
GR_ADD_TEST(qa_mp4_decode_bs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_mp4_decode_bs.py)
GR_ADD_TEST(qa_dabplus_audio_decoder_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_dabplus_audio_decoder_ff.py)
GR_ADD_TEST(qa_reed_solomon_decode_bb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_reed_solomon_decode_bb.py)
GR_ADD_TEST(qa_valve_ff ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_valve_ff.py)
GR_ADD_TEST(qa_peak_detector_fb ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_peak_detector_fb.py)

add_subdirectory(app)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT dab_sources)
    MESSAGE(STATUS "No C++ sources... skipping swig/")
    return()
endif(NOT dab_sources)

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
set(GR_SWIG_INCLUDE_DIRS $<TARGET_PROPERTY:gnuradio::runtime_swig,INTERFACE_INCLUDE_DIRECTORIES>)
set(GR_SWIG_TARGET_DEPS gnuradio::runtime_swig)

set(GR_SWIG_LIBRARIES gnuradio-dab)

set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/grdab_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)

GR_SWIG_MAKE(grdab_swig grdab_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS grdab_swig DESTINATION ${GR_PYTHON_DIR}/grdab)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    grdab_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/grdab_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/grdab/swig
)

=== docs/doxygen/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Create the doxygen configuration file
########################################################################
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} top_builddir)
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} abs_top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} abs_top_builddir)

set(HAVE_DOT ${DOXYGEN_DOT_FOUND})
set(enable_html_docs YES)
set(enable_latex_docs NO)
set(enable_xml_docs YES)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
@ONLY)

set(BUILT_DIRS ${CMAKE_CURRENT_BINARY_DIR}/xml ${CMAKE_CURRENT_BINARY_DIR}/html)

########################################################################
# Make and install doxygen docs
########################################################################
add_custom_command(
    OUTPUT ${BUILT_DIRS}
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating documentation with doxygen"
)

add_custom_target(doxygen_target ALL DEPENDS ${BUILT_DIRS})

install(DIRECTORY ${BUILT_DIRS} DESTINATION ${GR_PKG_DOC_DIR})

=== include/grdab/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-dab
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    moving_sum_ff.h
    ofdm_ffe_all_in_one.h
    ofdm_sampler.h
    ofdm_coarse_frequency_correct.h
    diff_phasor_vcc.h
    ofdm_remove_first_symbol_vcc.h
    frequency_interleaver_vcc.h
    qpsk_demapper_vcb.h
    complex_to_interleaved_float_vcf.h
    modulo_ff.h
    measure_processing_rate.h
    select_vectors.h
    repartition_vectors.h
    unpuncture_vff.h
    fib_sink_vb.h
    prune_vectors.h
    estimate_sample_rate_bf.h
    fractional_interpolator_triggered_update_cc.h
    magnitude_equalizer_vcc.h
    qpsk_mapper_vbc.h
    ofdm_insert_pilot_vcc.h
    sum_phasor_trig_vcc.h
    ofdm_move_and_insert_zero.h
    insert_null_symbol.h
    time_deinterleave_ff.h
    crc16_bb.h
    select_subch_vfvf.h
    unpuncture_ff.h
    prune.h
    firecode_check_bb.h
    puncture_bb.h
    mp2_decode_bs.h
    mp4_decode_bs.h
    reed_solomon_decode_bb.h
    valve_ff.h
    peak_detector_fb.h
    xrun_monitor_cc.h
    control_stream_to_tag_cc.h DESTINATION include/grdab
)

=== lib/fec/CMakeLists.txt ===
########################################################################
# Project setup
########################################################################

project(libfec ASM C)


########################################################################
# Compiler specific setup
########################################################################

if((CMAKE_SYSTEM_PROCESSOR MATCHES "i386|i686|x86|AMD64") AND (CMAKE_SIZEOF_VOID_P EQUAL 4))
    set(TARGET_ARCH "x86")
elseif((CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|AMD64") AND (CMAKE_SIZEOF_VOID_P EQUAL 8))
    set(TARGET_ARCH "x64")
elseif((CMAKE_SYSTEM_PROCESSOR MATCHES "i386") AND (CMAKE_SIZEOF_VOID_P EQUAL 8) AND (APPLE))
    # Mac is weird like that.
    set(TARGET_ARCH "x64")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm*")
    set(TARGET_ARCH "ARM")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64le")
    set(TARGET_ARCH "ppc64" "ppc64le")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)64")
    set(TARGET_ARCH "ppc64" "ppc")
elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)")
    set(TARGET_ARCH "ppc")
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANGCC)
    add_definitions(-Wall)
    add_definitions(-Wno-unused)

    if(TARGET_ARCH MATCHES "x64")
         add_definitions(-fPIC)
         add_definitions(-msse2)
    elseif(TARGET_ARCH MATCHES "x86")
         add_definitions(-mmmx)
         add_definitions(-msse)
         add_definitions(-msse2)
    elseif(TARGET_ARCH MATCHES "ppc|ppc64")
         add_definitions(-fno-common)
         add_definitions(-faltivec)
    endif()

endif()


########################################################################
# Find build dependencies
########################################################################

find_library(M_LIB m REQUIRED)


########################################################################
# Checks for features.
########################################################################

include(CheckIncludeFile)
check_include_file("stdio.h"            HAVE_STDIO_H)
check_include_file("stdlib.h"           HAVE_STDLIB_H)
check_include_file("string.h"           HAVE_STRING_H)

include(CheckFunctionExists)
check_function_exists("memset"           HAVE_MEMSET)
check_function_exists("memmove"          HAVE_MEMMOVE)


########################################################################
# Setup apps
########################################################################

set(libfec_sources
    decode_rs_char.c
    init_rs_char.c
)


########################################################################
# Setup libraries
########################################################################

add_library(fec STATIC ${libfec_sources})
set_target_properties(fec PROPERTIES LINKER_LANGUAGE C)
target_link_libraries(fec ${M_LIB})


########################################################################
# Build the tests
########################################################################

=== python/app/CMakeLists.txt ===

include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
  endif()

add_custom_command(OUTPUT adjustment_gui.py COMMAND mkdir -p ${CMAKE_BINARY_DIR}/python/app
                                            COMMAND cp -r ${CMAKE_SOURCE_DIR}/python/app/*.py ${CMAKE_BINARY_DIR}/python/app/
                                            COMMAND bash -c "PYTHONPATH=${CMAKE_BINARY_DIR}/python/app GRC_BLOCKS_PATH=${CMAKE_SOURCE_DIR}/grc/ grcc ${CMAKE_SOURCE_DIR}/python/app/adjustment_gui.grc -o ${CMAKE_BINARY_DIR}/python/app/"
                                            COMMAND cp ${CMAKE_BINARY_DIR}/python/app/top_block.py ${CMAKE_BINARY_DIR}/python/app/adjustment_gui.py)
add_custom_target(run ALL DEPENDS ${CMAKE_BINARY_DIR}/python/app/adjustment_gui.py)

GR_PYTHON_INSTALL(
    FILES
    get_channels.py
    receive_dabplus.py
    config.py
    adjust_gui_helpers.py
    channel_mapping.py
    curses_app.py
    ${CMAKE_BINARY_DIR}/python/app/adjustment_gui.py
    __init__.py DESTINATION ${GR_PYTHON_DIR}/grdab/app
)

=== debian/changelog ===
gr-dab (0.4-2build3) focal; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 11:30:57 +0100

gr-dab (0.4-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 on armhf ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 17:02:38 +0000

gr-dab (0.4-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:19:19 +0100

gr-dab (0.4-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/control: Drop unused Build-Depends on python-gtk2 (Closes: #944156)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 07 Nov 2019 21:02:44 +0100

gr-dab (0.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Install-depend on python3-six
  * debian/patches: Drop patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 15 Oct 2019 19:24:31 +0200

gr-dab (0.4~alpha-1) unstable; urgency=medium

  * New upstream release
    - Builds with gnuradio 3.8 and Python 3 (Closes: #935822, #936656)
  * debian/control:
    - libgnuradio-dab3.7.13 -> libgnuradio-dab3.8.0
    - New standards version 4.4.0 - no changes
    - Debhelper 12
    - Updated some build and install dependencies
  * debian/rules:
    - Add workaround for that grcc tries to write to the home directory
    - Fix install paths changed because of Python 3
  * debian/tests/python-test:
    - Fix test case to work with Python 3
    - Set PYTHONPATH because of the changes wrt. relative import paths.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 29 Sep 2019 12:45:42 +0200

gr-dab (0.3-4) unstable; urgency=medium

  * debian/control:
    - Depend on gr-osmosdr and python-yaml
  * debian/gitlab-ci.yml:
    - Enable continuous integration on salsa

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 02 Dec 2018 11:53:47 +0100

gr-dab (0.3-3) unstable; urgency=medium

  * debian/rules:
    - Remove timestamp from generated .py file
  * debian/tests:
    - Added autopkgtest for loading Python modules

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 29 Nov 2018 21:12:21 +0100

=== debian/control ===
Source: gr-dab
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Section: hamradio
Priority: optional
Build-Depends: debhelper (>= 12),
               gnuradio-dev,
               cmake,
               libfaad-dev,
               doxygen,
               pkg-config,
               python3-six,
               swig,
               libgmp-dev,
               liborc-0.4-dev,
               txt2man
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/rubund/gr-dab
Vcs-Git: https://salsa.debian.org/rubund/gr-dab.git
Homepage: https://github.com/andrmuel/gr-dab


Package: gr-dab
Architecture: any
Depends: libgnuradio-dab3.8.0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0,
         gnuradio,
         python3,
         python3-yaml,
         python3-six,
         gr-osmosdr
Description: Gnuradio blocks and tools for receiving DAB and DAB+ radio
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 GNURadio Companion modules are also included.


Package: libgnuradio-dab3.8.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Shared library for gr-dab (DAB/DAB+ receiver)
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 This package contains the shared library for gr-dab.


Package: gr-dab-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgnuradio-dab3.8.0 (= ${binary:Version}),
         gnuradio-dev,
         ${misc:Depends}
Description: Development files for gr-dab (DAB/DAB+ receiver)
 Contains necessary DSP blocks for receiving DAB and DAB+ transmissions
 using a software defined radio such as hackrf, rtl-sdr, USRP etc.
 .
 This package contains the development files for gr-dab

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/andrmuel/gr-dab/releases /andrmuel/gr-dab/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
